import { HttpInterceptor, HttpHandler, HttpRequest, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/do';
import { ApiConfig } from './api-config';
export declare class ApiInterceptor implements HttpInterceptor {
    protected config: ApiConfig;
    constructor(config: ApiConfig);
    /**
     * Intercept http request to add api url path.
     *
     * @param req Http request
     * @param next Http handler
     */
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    /**
     * Generate api url with version.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com
     */
    private getApiUrl();
}
