import { HttpInterceptor, HttpHandler, HttpRequest, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/do';
/**
 * `RequestConverter` convert backend request body to snakeCase.
 *
 * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
 */
export declare class RequestConverter implements HttpInterceptor {
    /**
     * Intercept http request to convert backend request body to snakeCase.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param req Request headers
     * @param next Request handler
     * @returns Response
     * @memberof RequestConverter
     */
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    /**
     * Convert object or array keys to snakeCase.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param data Object/array to convert
     * @returns Result converted
     * @memberof RequestConverter
     */
    private convert(data);
    /**
     * Convert string to snakeCase.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param key String to convert
     * @returns String converted
     * @memberof RequestConverter
     */
    private convertKey(key);
}
