import { HttpInterceptor, HttpHandler, HttpRequest, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/do';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
/**
 * `ResponseConverter` convert backend response to camelCase.
 *
 * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
 */
export declare class ResponseConverter implements HttpInterceptor {
    /**
     * Intercept http request to convert backend response to camelCase.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param req Request headers
     * @param next Request handler
     * @returns
     * @memberof ResponseConverter
     */
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    /**
     * Convert object or array to camelCase.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param data Object/array to convert
     * @returns Result converted
     * @memberof ResponseConverter
     */
    private convert(data);
    /**
     * Convert string to camelCase.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param key String to convert
     * @returns String converted
     * @memberof ResponseConverter
     */
    private convertKey(key);
}
