/**
 * Represents a basic interface in the app.
 */
export interface IBaseModel {
    id?: number;
}
/**
 * Represents a basic response for a list of resources.
 *
 * @typeparam R Represents the resource to be handled.
 */
export interface IResourcesResponse<R extends IBaseModel> {
    data: R[];
    meta?: any;
}
/**
 * Represents a basic response for on resource.
 *
 * @typeparam R Represents the resource to be handled.
 */
export interface IResourceResponse<R extends IBaseModel> {
    data: R;
    meta?: any;
}
