import { HttpRequest, HttpResponse } from '@angular/common/http';
/**
 * `HttpCacheService` service to cache requests.
 *
 * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
 * @export
 */
export declare class HttpCacheService {
    private requests;
    private responses;
    /**
     * Returns a cached response, if any, or null if not present.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param req
     * @returns
     * @memberof HttpCacheService
     */
    get(req: HttpRequest<any>): HttpResponse<any> | null;
    /**
     * Adds or updates the response in the cache.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param req Request
     * @param resp Response
     * @memberof HttpCacheService
     */
    put(req: HttpRequest<any>, resp: HttpResponse<any>): void;
    /**
     * Find saved http request.
     *
     * @author Joaquin Volpe <joaquin.volpe@woopasoft.com>
     * @param req Request to compare
     * @returns Response index
     * @memberof HttpCacheService
     */
    private findRequest(req);
}
